# DataExchange
TKVRML
VrmlData

# VrmlData_DataMapOfShapeAppearance Class Reference

`#include <VrmlData_DataMapOfShapeAppearance.hxx>`

## Public Member Functions

| VrmlData_DataMapOfShapeAppearance (const Standard_Integer NbBuckets=1, const Handle(NCollection_BaseAllocator)&theAllocator=0L)
| Constructor.
| VrmlData_DataMapOfShapeAppearance (const VrmlData_DataMapOfShapeAppearance &theOther)
| Copy constructor.

## Friends

Standard_Boolean | IsEqual (const Handle_TopoDS_TShape &one, const Handle_TopoDS_TShape &two)

## Detailed Description

Data Map that provides the link between each Shape obtained in VRML import and the corresponding Appearance.

## Constructor & Destructor Documentation

VrmlData_DataMapOfShapeAppearance::VrmlData_DataMapOfShapeAppearance | ( | const Standard_Integer | NbBuckets = `1`,
|  | const Handle(NCollection_BaseAllocator)& | theAllocator = `0L`
| ) | `[inline]`

VrmlData_DataMapOfShapeAppearance::VrmlData_DataMapOfShapeAppearance | ( | const VrmlData_DataMapOfShapeAppearance & | theOther | ) | `[inline]`

## Friends And Related Function Documentation

Standard_Boolean IsEqual | ( | const Handle_TopoDS_TShape & | one,
|  | const Handle_TopoDS_TShape & | two
| ) | `[friend]`

The documentation for this class was generated from the following file:

- VrmlData_DataMapOfShapeAppearance.hxx